Package com.verisign.epp.interfaces.v1_0

## Class EPPTtlTst

- java.lang.Object
- - com.verisign.epp.interfaces.v1_0.EPPTtlTst

-     public class EPPTtlTst
      extends java.lang.Object

  `EPPTtlTst` is a unit test of the TTL extension interface.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPTtlTst()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `beforeClass()` | JUNIT `suite` static method, which returns the tests associated with `EPPTtlDomainTst`.
    `void` | `domainCreate()` | Unit test of `EPPDomain.sendCreate` with TTL extension.
    `void` | `domainUpdate()` | Unit test of `EPPDomain.sendUpdate` with TTL extension.
    `void` | `handleException​(java.lang.Exception aException)` | Handle an `EPPCommandException`, which can be either a server generated error or a general exception.
    `void` | `hostCreate()` | Unit test of `EPPHost.sendCreate` with TTL extension.
    `void` | `hostUpdate()` | Unit test of `EPPHost.sendUpdate` with TTL extension.
    `java.lang.String` | `makeDomainName()` | This method tries to generate a unique String as Domain Name and Name Server
    `java.lang.String` | `makeHostName​(java.lang.String aBaseDomainName)` | Makes a unique host name for a domain using the current time.
    `java.lang.String` | `makeIP()` | Makes a unique IP address based off of the current time.
    `void` | `setUp()` | JUNIT `setUp` method, which sets the default client Id to "theRegistrar".
    `void` | `tearDown()` | JUNIT `tearDown`, which currently does nothing.
    `void` | `testTtl()` | JUNIT test method to implement the `EPPTtlDomainTst TestCase`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPTtlTst

          public EPPTtlTst()

  - ### Method Detail

    - #### testTtl

          public void testTtl()

      JUNIT test method to implement the `EPPTtlDomainTst TestCase`. Each sub-test will be invoked in order to satisfy testing the EPPDomain interface.

    - #### domainCreate

          public void domainCreate()

      Unit test of `EPPDomain.sendCreate` with TTL extension.

    - #### hostCreate

          public void hostCreate()

      Unit test of `EPPHost.sendCreate` with TTL extension.

    - #### domainUpdate

          public void domainUpdate()

      Unit test of `EPPDomain.sendUpdate` with TTL extension.

    - #### hostUpdate

          public void hostUpdate()

      Unit test of `EPPHost.sendUpdate` with TTL extension.

    - #### setUp

          public void setUp()

      JUNIT `setUp` method, which sets the default client Id to "theRegistrar".

    - #### tearDown

          public void tearDown()

      JUNIT `tearDown`, which currently does nothing.

    - #### beforeClass

          public static void beforeClass()

      JUNIT `suite` static method, which returns the tests associated with `EPPTtlDomainTst`.

    - #### handleException

          public void handleException​(java.lang.Exception aException)

      Handle an `EPPCommandException`, which can be either a server generated error or a general exception. If the exception was caused by a server error, "Server Error :<Response XML>" will be specified. If the exception was caused by a general algorithm error, "General Error :<Exception Description>" will be specified.
      Parameters:
        `aException` - Exception thrown during test

    - #### makeDomainName

          public java.lang.String makeDomainName()

      This method tries to generate a unique String as Domain Name and Name Server
      Returns:
        Unique domain name

    - #### makeIP

          public java.lang.String makeIP()

      Makes a unique IP address based off of the current time.
      Returns:
        Unique IP address `String`

    - #### makeHostName

          public java.lang.String makeHostName​(java.lang.String aBaseDomainName)

      Makes a unique host name for a domain using the current time.
      Parameters:
        `aBaseDomainName` - Base domain name used for host name
      Returns:
        Unique host name `String`